import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="turbogpt_pro",
    version="1.1.1",
    author="yanjlee",
    author_email="yanjlee@163.com",
    description="A python based wrapper for GPT-4 & GPT-3.5 PLUS.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    packages=setuptools.find_packages(),
    install_requires=[        'requests',
                              'faker',
                              'execjs',
                              'loguru',
                              'base64',
                              'hashlib',
                              'Crypto',
                              'pandas',
                              'fuzzywuzzy',
                              'httpx',
                              'Pillow',
                              'playwright',
                              'PyExecJS',
                              'redis',
                              'fastapi',
                              'uvicorn',
                              'APScheduler',
                              'beautifulsoup4',
                              'bs4',
                              'certifi',
                              'clickhouse-driver',
                              'curl-cffi',
                              'DrissionPage',
                              'fake-useragent',
                              'Flask',
                              'Flask-APScheduler',
                              'Flask-Cors',
                              'frida',
                              'gevent',
                              'httpx',
                              'Jinja2',
                              'langchain',
                              'langchain-community',
                              'suiutils-py','python-dotenv==1.0.0', 'tls-client==0.1.9'],
    python_requires=">=3.6"
)
